Skip to main content
DELETE
/
products
/
{productId}
cURL
curl --request DELETE \
  --url https://admin.fanfare.io/api/products/{productId} \
  --header 'Authorization: Bearer <token>'
{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "url": "<string>",
  "description": "<string>",
  "handle": "<string>",
  "metadata": {},
  "primaryExternalId": "<string>",
  "primaryLastSyncedAt": "2023-11-07T05:31:56Z",
  "primarySourceVendor": "<string>",
  "primarySyncSourceId": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>"
}

Authorizations

Authorization
string
header
required

Fanfare secret key. Keep secret credentials on your server.

Path Parameters

productId
string
required

Response

Product archived successfully

archived
boolean
required
createdAt
string<date-time>
required
createdBy
string
required
id
string<uuid>
required
name
string
required
Minimum string length: 1
organizationId
string<uuid>
required
url
string<uri>
required
description
string | null
handle
string | null
metadata
object | null
primaryExternalId
string | null
primaryLastSyncedAt
string<date-time> | null
primarySourceVendor
string | null
primarySyncSourceId
string | null
updatedAt
string<date-time> | null
updatedBy
string | null